[Overview][Constants][Procedures and functions][Index] | Reference for unit 'dateutils' (#rtl)

# WeekSpan

Calculate the approximate number of weeks between two DateTime values.

## Declaration

Source position: dateutil.inc line 272

`function WeekSpan(`
`const ANow: TDateTime;`
`const AThen: TDateTime`
`):Double;`

## Arguments

`ANow` |  | First moment in time
`AThen` |  | Second moment in time

## Function result

Number (fractions included) of weeks between ANow and AThen

## Description

WeekSpan returns the number of weeks between ANow and AThen, including any fractional parts of a week.

## See also

YearSpan |  | Calculate the approximate number of years between two DateTime values.
MonthSpan |  | Calculate the approximate number of months between two DateTime values.
DaySpan |  | Calculate the approximate number of days between two DateTime values.
HourSpan |  | Calculate the approximate number of hours between two DateTime values.
MinuteSpan |  | Calculate the approximate number of minutes between two DateTime values.
SecondSpan |  | Calculate the approximate number of seconds between two DateTime values.
MilliSecondSpan |  | Calculate the approximate number of milliseconds between two DateTime values.
WeeksBetween |  | Calculate the number of whole weeks between two DateTime values

## Example

    Program Example57;

    { This program demonstrates the WeekSpan function }

    Uses SysUtils,DateUtils;

    Procedure Test(ANow,AThen : TDateTime);

    begin
     Write('Number of weeks between ');
     Write(DateToStr(AThen),' and ',DateToStr(ANow));
     Writeln(' : ',WeekSpan(ANow,AThen));
    end;

    Var
      D1,D2 : TDateTime;

    Begin
      D1:=Today;
      D2:=Today-7;
      Test(D1,D2);
      D2:=Today-8;
      Test(D1,D2);
      D2:=Today-14;
      Test(D1,D2);
      D2:=Today-35;
      Test(D1,D2);
      D2:=Today-36;
      Test(D1,D2);
      D2:=Today-17;
      Test(D1,D2);
    End.

Documentation generated on: Feb 26 2014